### Method

# Clapper Queue set_progression_mode

#### Declaration [src]

    void
    clapper_queue_set_progression_mode (
      ClapperQueue* queue,
      ClapperQueueProgressionMode mode
    )

#### Description [src]

Set the `ClapperQueueProgressionMode` of the `ClapperQueue`.

Changing the mode set will alter next item selection at the end of playback. For possible values and their descriptions, see `ClapperQueueProgressionMode` documentation.

Sets property | `Clapper.Queue:progression-mode`

#### Parameters

`mode`

  Type: `ClapperQueueProgressionMode`

  A `ClapperQueueProgressionMode`.